Package org.apache.velocity.util.introspection

# Interface Uberspect

All Known Subinterfaces:
  `ChainableUberspector`

All Known Implementing Classes:
  `AbstractChainableUberspector`, `DeprecatedCheckUberspector`, `LinkingUberspector`, `SecureUberspector`, `UberspectImpl`, `UberspectPublicFields`

public interface Uberspect
'Federated' introspection/reflection interface to allow the introspection behavior in Velocity to be customized.

Version:
  $Id$
Author:
  Geir Magusson Jr.

## Method Summary

Modifier and Type
Method
Description
`Iterator`
`getIterator(Object obj, Info info)`
To support iteratives - #foreach()
`VelMethod`
`getMethod(Object obj, String method, Object[] args, Info info)`
Returns a general method, corresponding to $foo.bar( $woogie )
`VelPropertyGet`
`getPropertyGet(Object obj, String identifier, Info info)`
Property getter - returns VelPropertyGet appropos for #set($foo = $bar.woogie)
`VelPropertySet`
`getPropertySet(Object obj, String identifier, Object arg, Info info)`
Property setter - returns VelPropertySet appropos for #set($foo.bar = "geir")
`void`
`init()`
Initializer - will be called before use

## Method Details

### init

void init()
Initializer - will be called before use

### getIterator

Iterator getIterator(Object obj, Info info)
To support iteratives - #foreach()

Parameters:
  `obj` -
  `info` -
Returns:
  An Iterator.

### getMethod

VelMethod getMethod(Object obj, String method, Object[] args, Info info)
Returns a general method, corresponding to $foo.bar( $woogie )

Parameters:
  `obj` -
  `method` -
  `args` -
  `info` -
Returns:
  A Velocity Method.

### getPropertyGet

VelPropertyGet getPropertyGet(Object obj, String identifier, Info info)
Property getter - returns VelPropertyGet appropos for #set($foo = $bar.woogie)

Parameters:
  `obj` -
  `identifier` -
  `info` -
Returns:
  A Velocity Getter.

### getPropertySet

VelPropertySet getPropertySet(Object obj, String identifier, Object arg, Info info)
Property setter - returns VelPropertySet appropos for #set($foo.bar = "geir")

Parameters:
  `obj` -
  `identifier` -
  `arg` -
  `info` -
Returns:
  A Velocity Setter.